### Method

# Gtk DropTargetAsyncget_formats

#### Declaration [src]

    GdkContentFormats*
    gtk_drop_target_async_get_formats (
      GtkDropTargetAsync* self
    )

#### Description [src]

Gets the data formats that this drop target accepts.

If the result is `NULL`, all formats are expected to be supported.

Gets property | `Gtk.DropTargetAsync:formats`

#### Return value

Type: `GdkContentFormats`

The supported data formats.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.